Subject: 28.2; erc-button-url-regexp does not recognise gophers://

From: Troels Henriksen <[email-masked]>
Date: Wed, 30 Aug 2023 13:03:31 +0200

The regex in

  browse-url-button-regexp

does not recognise the gophers:// protocol.  Similarly to https://,
gophers:// is an encrypted variant of the venerable Gopher protocol.
The gophers protocol is supported in curl and other programs that build
on libcurl, and while I can customize `browse-url-button-regexp` myself,
I think it would be useful for all Emacs users if Emacs recognised
gophers:// directly.

A fix is simple: just add 's?' after 'gopher' in the regexp.